package base

type AIMgr interface {
	// GetAttribute 获取属性
	GetAttribute(key interface{}) (interface{}, bool)
	// SetAttribute 设置属性
	SetAttribute(key, val interface{})
	// OnStart 房间启动
	OnStart(s *Scene)
	// OnTick 房间心跳
	OnTick(s *Scene)
	// OnStop 房间停止
	OnStop(s *Scene)
	// OnChangeState 房间状态变化
	OnChangeState(s *Scene, oldstate, newstate int)
}
